Update Payment Method

The Update Payment Method API allows you to change the payment method for recurring subscriptions.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
👍

Changing the Payment Method with 3D Secure Authorization

To update the payment method with 3D Secure authorization, follow these steps:

  1. Call update-payment-method API with the new payment details.
  2. Store the verification_id and verification_url returned in the response.
  3. Redirect the customer to the verification_url for authentication.
  4. After verification, call update-payment-method again to confirm the change, including the stored verification_id in the payment_details object.
Body Params
string
required

This is the credential that Vendo will use to authenticate your request

int32
required
Defaults to 0

Set to 1 if you want to process a test transaction.

int32
required

Your Vendo Merchant ID.

int32
required

The Vendo Subscription ID you want to update

payment_details
object

Credit cards and SEPA payment methods are supported. Required only if you want to change payment method.

request_details
object

request_details / ip_address is only required when payment_details section is present

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json